Main Page Modules Data Structures File List Data Fields Globals Related Pages

# build.c File Reference

`#include "system.h"`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "rpmps.h"`
`#include "rpmte.h"`
`#include "rpmts.h"`
`#include "build.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | _anyarch(_f) (((_f)&(RPMBUILD_PREP|RPMBUILD_BUILD|RPMBUILD_INSTALL|RPMBUILD_PACKAGEBINARY)) == 0)
#define | buildCleanMask (RPMBUILD_RMSOURCE|RPMBUILD_RMSPEC)
## Functions
int | checkSpec (rpmts ts, Header h)
int | isSpecFile (const char *specfile)
int | buildForTarget (rpmts ts, const char *arg, BTA_t ba)
int | build (rpmts ts, const char *arg, BTA_t ba, const char *rcfile)

## Define Documentation

#define _anyarch | ( | _f |  | ) | (((_f)&(RPMBUILD_PREP|RPMBUILD_BUILD|RPMBUILD_INSTALL|RPMBUILD_PACKAGEBINARY)) == 0)

#define buildCleanMask (RPMBUILD_RMSOURCE|RPMBUILD_RMSPEC)

## Function Documentation

int build | ( | rpmts | ts,
|  | const char * | arg,
|  | BTA_t | ba,
|  | const char * | rcfile
| ) |

| Definition at line 294 of file build.c. References _, _RPMVSF_NODIGESTS, _RPMVSF_NOSIGNATURES, alloca, buildForTarget, rpmExpandNumeric, rpmFreeMacros, rpmReadConfigFiles, rpmts, rpmtsSetVSFlags, RPMVSF_NOHDRCHK, and rpmVSFlags.

int buildForTarget | ( | rpmts | ts,
|  | const char * | arg,
|  | BTA_t | ba
| ) | `[static]`

| Definition at line 101 of file build.c. References _, _free, addMacro, alloca, buildSpec, checkSpec, COMPRESSED_OTHER, freeSpec, initSourceHeader, isCompressed, isSpecFile, parseSpec, RMIL_TARBALL, RPM_MACHTABLE_BUILDARCH, RPM_MACHTABLE_BUILDOS, rpmCompressedMagic, rpmGenPath, rpmGetPath, rpmSetTables, rpmts, SpecStruct::sourceHeader, Stat, Unlink, URL_IS_DASH, and urlPath. Referenced by build.

int isSpecFile | ( | const char * | specfile | ) | `[static]`

| Definition at line 59 of file build.c. References _, Fclose, Ferror, Fopen, Fread, and Fstrerror. Referenced by buildForTarget.